@charset "UTF-8";

/* Use Firefox developer tools to check which CSS selectors to use */

/*
  Beware :root[hasbrowserhandlers="true"] body affects other browser
  pages such as about:blank.

  Use !important to prevent extensions from overriding preferences.
*/

@-moz-document url-prefix("about:blank") {
  #container {
    /* ... */
  }
}

@-moz-document domain("https://somewhere.example") {
  /* ... */
}

/* When dark background is selected */
:root[hasbrowserhandlers="true"] body.dark  {
  /* ... */
}
/* When light background is selected */
:root[hasbrowserhandlers="true"] body.light  {
  /* ... */
}
/* When sepia background is selected */
:root[hasbrowserhandlers="true"] body.sepia  {
  /* ... */
}
/* When serif font is selected */
:root[hasbrowserhandlers="true"] body.serif {
  /* ... */
}
/* When sans-serif font is selected */
:root[hasbrowserhandlers="true"] body.sans-serif {
  /* ... */
}
